Customers

List Customers

Get a list of customers with pagination

GET
/api/v1/customers
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Query Parameters

page?number

The page number to retrieve

Default1
Range1 <= value
limit?number

The number of items per page

Default10
Range1 <= value <= 100
search?string

Search term to filter customers

Response Body

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/customers"
{
  "success": true,
  "customers": [
    {
      "id": "string",
      "teamId": "string",
      "externalId": "string",
      "name": "string",
      "vatNumber": "string",
      "enterpriseNumber": "string",
      "peppolAddresses": [
        "string"
      ],
      "address": "string",
      "city": "string",
      "postalCode": "string",
      "country": "string",
      "email": "string",
      "phone": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}